searchNodes=[{"doc":"Sorts alias , import and require definitions alphabetically. The sorting does not happen globally. Instead each &quot;block&quot; is sorted separately. An &quot;block&quot; is a set of expressions that are not separated by at least one empty newline or other non-(alias,import,require) expressions. Note that the file is first formatter by the default Elixir code formatter! Only the order of lines is modified by this formatter. Neither the overall number of lines nor the content of a single line will change. Besides the options Code.format_string!/2 and Mix.Tasks.Format , the .formatter.exs file supports the following Eunomo specific options: :eunomo_opts (a keyword list) - toggles expressions to be sorted. Available switches: sort_alias: :boolean sort_import: :boolean sort_require: :boolean By default all are false &amp; the behavior is identical to the default formatter. A complete my_app 's .formatter.exs would look like this: # my_app/.formatter.exs [ plugins : [ Eunomo ] , eunomo_opts : [ sort_alias : true , sort_import : true , sort_require : true ] , inputs : [ &quot;{mix,.formatter}.exs&quot; , &quot;{config,lib,test}/**/*.{ex,exs}&quot; ] ] Examples Sorting only alias expressions: iex&gt; code_snippet = &quot;&quot;&quot; ...&gt; alias Eunomo.Z.{L, I} ...&gt; alias Eunomo.Z ...&gt; alias __MODULE__.B ...&gt; alias __MODULE__.A ...&gt; alias Eunomo.C ...&gt; alias Eunomo.{ ...&gt; L, ...&gt; B, ...&gt; # test ...&gt; } ...&gt; \\n alias Eunomo.PG.Repo ...&gt; alias A ...&gt; alias Eunomo.Patient ...&gt; &quot;&quot;&quot; ...&gt; Eunomo . format ( code_snippet , [ eunomo_opts : [ sort_alias : true ] ] ) &quot;&quot;&quot; alias __MODULE__.A alias __MODULE__.B alias Eunomo.C alias Eunomo.Z alias Eunomo.Z.{L, I} \\n alias Eunomo.{ L, B # test } \\n alias A alias Eunomo.Patient alias Eunomo.PG.Repo &quot;&quot;&quot; Sorting only import expressions: iex&gt; code_snippet = &quot;&quot;&quot; ...&gt; import Eunomo.Z.{L, I} ...&gt; import Eunomo.Z, only: [hello_world: 0] ...&gt; import B, expect: [callback: 1] ...&gt; import Eunomo.C ...&gt; import Eunomo.{ ...&gt; L, ...&gt; B, ...&gt; # test ...&gt; } ...&gt; \\n import Eunomo.PG.Repo ...&gt; import A ...&gt; import Eunomo.Patient ...&gt; &quot;&quot;&quot; ...&gt; Eunomo . format ( code_snippet , [ eunomo_opts : [ sort_import : true ] ] ) &quot;&quot;&quot; import B, expect: [callback: 1] import Eunomo.C import Eunomo.Z, only: [hello_world: 0] import Eunomo.Z.{L, I} \\n import Eunomo.{ L, B # test } \\n import A import Eunomo.Patient import Eunomo.PG.Repo &quot;&quot;&quot; Sorting only require expressions: iex&gt; code_snippet = &quot;&quot;&quot; ...&gt; require Eunomo.Z.{L, I} ...&gt; require Eunomo.Z ...&gt; require Eunomo.C ...&gt; require Eunomo.{ ...&gt; L, ...&gt; B, ...&gt; # test ...&gt; } ...&gt; \\n require Eunomo.PG.Repo ...&gt; require A ...&gt; require Eunomo.Patient ...&gt; &quot;&quot;&quot; ...&gt; Eunomo . format ( code_snippet , [ eunomo_opts : [ sort_require : true ] ] ) &quot;&quot;&quot; require Eunomo.C require Eunomo.Z require Eunomo.Z.{L, I} \\n require Eunomo.{ L, B # test } \\n require A require Eunomo.Patient require Eunomo.PG.Repo &quot;&quot;&quot;","ref":"Eunomo.html","title":"Eunomo","type":"module"},{"doc":"The default Elixir formatter has the philosophy of not modifying non metadata parts of the AST. Eunomo does not adhere to this philosophy and is meant to be used as an extension to the default formatter. As of now, the single use case is to sort import , alias and require definitions alphabetically. See https://hexdocs.pm/eunomo for further documentation &amp; https://github.com/Roberto-XY/eunomo for the source code.","ref":"readme.html","title":"README","type":"extras"},{"doc":"The package can be installed by adding eunomo to your list of dependencies in mix.exs : def deps do [ { :eunomo , &quot;~&gt; 2.0.0&quot; , only : :dev } ] end","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"Elixir &gt;= 1.13.0 &amp; version 2.0.0 Uses Elixir formatter plugin system . # .formatter.exs [ # Usage of new formatter plugin system in Elixir `&gt;= 1.13.0`. plugins : [ Eunomo ] , eunomo_opts : [ sort_alias : true , sort_import : true , sort_require : true ] , inputs : [ &quot;{mix,.formatter}.exs&quot; , &quot;{config,lib,test}/**/*.{ex,exs}&quot; ] ] Running mix format is going to take over as usal from here. All mix format options also apply to Eunomo plugins. Elixir &lt; 1.13.0 &amp; version 0.1.3 Before Elixir version 1.13.0 , there was no way to hook plugins into the default formatter. Hence two Mix tasks were provided: mix eunomo.gen.config &amp; mix eunomo . This approach does not play nicely with umbrella applications.","ref":"readme.html#usage","title":"README - Usage","type":"extras"}]